package com.atlassian.stash.internal.config;

import com.atlassian.bitbucket.ServiceException;
import com.atlassian.bitbucket.i18n.KeyedMessage;

/**
 * Indicates that an attempt was made to access a resource (e.g. file), by creating it or
 * otherwise opening a connect to it, and that the attempt failed.
 */
public class FileOperationException extends ServiceException {
    public FileOperationException(KeyedMessage message) {
        super(message);
    }

    public FileOperationException(KeyedMessage message, Throwable cause) {
        super(message, cause);
    }
}
